﻿@model LoyaltyPointEngine.Model.Object.Product.ProductModel
@{
    string urlCheckavailabilityMember = Url.Action(MVC.Member.CheckavailabilityMember());
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Add Product</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> Add Product</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.Product.Add(), FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal row-border", @id = "formAddProduct" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }



                    <div class="form-group">
                        <label class="col-md-3 control-label">Group <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.ProductGroupID, ViewBag.ListProductGroup as IEnumerable<SelectListItem>,
                            "", new { @class = "select2-select-00 col-md-12 full-width-fix required" })
                        </div>
                    </div>


                    <div class="form-group">
                        <label class="col-md-3 control-label">Code <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Code, new { @class = "form-control required" })
                        </div>
                    </div>



                    <div class="form-group">
                        <label class="col-md-3 control-label">Name <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Name, new { @class = "form-control required" })
                        </div>
                    </div>


                    <div class="form-group">
                        <label class="col-md-3 control-label">Description <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Description, new { @class = "form-control required" })
                        </div>
                    </div>



                    <div class="form-group">
                        <label class="col-md-3 control-label">ProductImage <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ProductImage, new { @class = "form-control required", @type = "file" })
                        </div>
                    </div>



                    <div class="form-group">
                        <label class="col-md-3 control-label">Size <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.Size, ViewBag.ListSize as IEnumerable<SelectListItem>,
                            "", new { @class = "select2-select-00 col-md-12 full-width-fix required" })
                        </div>
                    </div>


                    <div class="form-group">
                        <label class="col-md-3 control-label">Flavour <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.Flavour, ViewBag.ListFlavour as IEnumerable<SelectListItem>,
                           "", new { @class = "select2-select-00 col-md-12 full-width-fix required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Price </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Price, new { @class = "form-control", @type = "number" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">IsDisplay <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsDisplay, new { @class = "form-control uniform" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Is Pregnancy Product</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsPregnancyProduct, new { @class = "form-control uniform" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Snapcart SKU </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.SnapcartSKU, new { @class = "form-control" })
                        </div>
                    </div>

                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{
    <script>

    $(document).ready(function () {

        //===== Validation =====//
        //for default options, see assets/js/plugins.form-components.js (initValidation())

        $.extend($.validator.defaults, {
            invalidHandler: function (form, validator) {
                var errors = validator.numberOfInvalids();
                if (errors) {
                    var message = errors == 1
                    ? 'You missed 1 field. It has been highlighted.'
                    : 'You missed ' + errors + ' fields. They have been highlighted.';
                    noty({
                        text: message,
                        type: 'error',
                        timeout: 2000
                    });
                }
            },
            errorPlacement: function (error, element) {
                if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                    error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                } else {
                    error.insertAfter(element)
                }
            }
        });

        $("#formAddProduct").validate();

    });
    </script>
}